/**
 * Allow to run methods from the given provider interface across all providers seamlessly.
 * Handles promise racing and discards rejected promises safely.
 */
declare const _default: <P>(providers: (P | Promise<P>)[]) => {
    invokeList: <T>(methodName: keyof P, args?: any[]) => Promise<T[]>;
    invokeSingle: <T>(methodName: keyof P, args?: any[]) => Promise<T>;
};
export default _default;
